<?php
	// required headers
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	header("Access-Control-Allow-Methods: POST");
	header("Access-Control-Max-Age: 3600");
	header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
	 
	// include database and object files
	include_once '../config/database.php';
	include_once '../objects/install_items.php';
	 
	// instantiate database
	$database = new Database();
	$db = $database->getConnection();
	
	$install_items = new InstallItems($db);
	$data = json_decode(file_get_contents("php://input"));
	$install_items->category = $data->category;	
	$stmt = $install_items->getAllRows();
	$num = $stmt->rowCount();

	$arr=array();
	$arr["records"]=array();
	if($num>0){	
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$detail = array(
				"id" => (int)$id,
				"category" => $category,
				"brand" => $brand,
				"item_code" => $item_code,
				"item_name" => $item_name,
				"unit" => $unit
			);	
			array_push($arr["records"], $detail);
		}	
	}
	echo json_encode($arr);
?>